## org.apache.commons.math.linear
Class DefaultRealMatrixPreservingVisitor

    java.lang.Object
      org.apache.commons.math.linear.DefaultRealMatrixPreservingVisitor

All Implemented Interfaces:
  RealMatrixPreservingVisitor

    public class DefaultRealMatrixPreservingVisitor

extends java.lang.Object
implements RealMatrixPreservingVisitor

Default implementation of the `RealMatrixPreservingVisitor` interface.

This class is a convenience to create custom visitors without defining all methods. This class provides default implementations that do nothing.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $

Constructor Summary
`DefaultRealMatrixPreservingVisitor()`

Method Summary
`double` `end()` End visiting a matrix.
`void` `start(int rows, int columns, int startRow, int endRow, int startColumn, int endColumn)` Start visiting a matrix.
`void` `visit(int row, int column, double value)` Visit one matrix entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRealMatrixPreservingVisitor

    public DefaultRealMatrixPreservingVisitor()

Method Detail

### start

    public void start(int rows,
                      int columns,
                      int startRow,
                      int endRow,
                      int startColumn,
                      int endColumn)

  Start visiting a matrix.

  This method is called once before any entry of the matrix is visited.

  Specified by:
    `start` in interface `RealMatrixPreservingVisitor`
  Parameters:
    `rows` - number of rows of the matrix
    `columns` - number of columns of the matrix
    `startRow` - Initial row index
    `endRow` - Final row index (inclusive)
    `startColumn` - Initial column index
    `endColumn` - Final column index (inclusive)

### visit

    public void visit(int row,
                      int column,
                      double value)
               throws MatrixVisitorException

  Visit one matrix entry.

  Specified by:
    `visit` in interface `RealMatrixPreservingVisitor`
  Parameters:
    `row` - row index of the entry
    `column` - column index of the entry
    `value` - current value of the entry
  Throws:
    `MatrixVisitorException` - if something wrong occurs

### end

    public double end()

  End visiting a matrix.

  This method is called once after all entries of the matrix have been visited.

  Specified by:
    `end` in interface `RealMatrixPreservingVisitor`
  Returns:
    the value that the `walkInXxxOrder` must return

Copyright (c) 2003-2010 Apache Software Foundation